## mbr 0.0.1

=== DESCRIPTION ===
Package: mbr
Type: Package
Title: Mass Balance Reconstruction
Version: 0.0.1
Author: Hung Nguyen
Maintainer: Hung Nguyen <ntthung@gmail.com>
Description: Mass-balance-adjusted Regression algorithm for streamflow reconstruction at sub-annual resolution (e.g., seasonal or monthly). The algorithm implements a penalty term to minimize the differences between the total sub-annual flows and the annual flow. The method is described in Nguyen et al (2020) <DOI:10.1002/essoar.10504791.1>.
License: GPL (>= 2.0)
Encoding: UTF-8
LazyData: true
Depends: R (>= 3.5)
Imports: data.table, dplR, MASS, Matrix, Rfast, stats
RoxygenNote: 7.1.1
URL: https://github.com/ntthung/mbr
BugReports: https://github.com/ntthung/mbr/issues
Suggests: knitr, rmarkdown, testthat
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2021-02-12 12:06:00 UTC; ntthu
Repository: CRAN
Date/Publication: 2021-02-16 09:10:02 UTC
