## mbr 1.2.1

=== debian/changelog ===
mbr (1.2.1) unstable; urgency=medium

  * Remove report bug message and version number. Closes: #909563.

 -- Santiago Garcia Mantinan <manty@debian.org>  Tue, 25 Sep 2018 21:15:56 +0200

mbr (1.2.0) unstable; urgency=medium

  * Upstream we are.

  [ Santiago Garcia Mantinan ]
  * Make room for Disk signature (6 bytes) by using new parameter format.
  * Remove code to protect Disk signature, we no longer overwrite this.
  * Fix several warnings, update standards and other old stuff.

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #905846)
    + Pass --host to ./configure.
    + Let dpkg's buildtools.mk supply $(CC).
    + Defer all stripping to dh_strip.

 -- Santiago Garcia Mantinan <manty@debian.org>  Thu, 20 Sep 2018 10:05:36 +0200

mbr (1.1.11-5.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Simon McVittie ]
  * Only copy install-mbr to debian/mbr-udeb/sbin if we are going to
    build the mbr-udeb package, fixing FTBFS on non-x86 architectures.
    In recent debhelper versions, dh_installdirs does not create
    directories for binary packages that are not applicable to the
    current architecture.  (Closes: #881835)

  [ Niels Thykier ]
  * Set Rules-Requires-Root (R³) to no.
  * Replace use of "Priority: extra" with "Priority: optional" as the
    former is now obsolete and replaced by the latter.
  * Use Package-Type without the "XC-" prefix as it is no longer
    required.

 -- Niels Thykier <niels@thykier.net>  Mon, 06 Aug 2018 18:53:12 +0000

mbr (1.1.11-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Disable testsuite on all archs. (Closes: #792126, LP: #445643)

  [ Dejan Latinovic ]
  * Fix FTBFS on ia64, m68k and mips64el by using xxd instead of ld.
    (Closes: #697332)

  [ Lannart Sorensen ]
  * Prevent install-mbr from wiping new style MBRs.
    (Closes: #725417, LP: #814956)

  [ Martin Pitt ]
  * Read UTC setting from /etc/adjtime instead of /etc/default/rcS.
    (Closes: #813671)

 -- James Cowgill <jcowgill@debian.org>  Fri, 21 Oct 2016 10:57:33 +0100

mbr (1.1.11-5) unstable; urgency=low

  * Add dh_md5sums to debian/rules, thanks to jmccrohan. Closes: #672321.
  * Change build targets thanks to lintian.

 -- Santiago Garcia Mantinan <manty@debian.org>  Sun, 13 May 2012 10:24:15 +0200

mbr (1.1.11-4) unstable; urgency=low

  * Try to fix building on kfreebsd-i386 not building the harness.

 -- Santiago Garcia Mantinan <manty@debian.org>  Fri, 15 Apr 2011 19:57:48 +0200

mbr (1.1.11-3) unstable; urgency=low

  * Fix couple of bashishms on tests so that we build on pure i386.
  * Run tests only once.

 -- Santiago Garcia Mantinan <manty@debian.org>  Fri, 15 Apr 2011 19:37:31 +0200

mbr (1.1.11-2) unstable; urgency=low

  * Stop tests on non i386. Closes: #516644.
  * It was also failing on pure i386 when run as nonroot, had to
    remove all the tests that were failing on current kernels.

 -- Santiago Garcia Mantinan <manty@debian.org>  Thu, 14 Apr 2011 20:49:59 +0200

mbr (1.1.11-1) unstable; urgency=low

  * The after a long long wait release.

  [ Santiago Garcia Mantinan ]
  * New upstream version.
  * Change mbr's architecture to any (not for the udeb). Closes: #516644.
  * Bump standards version to 3.9.1.

  [ Cody A.W. Somerville ]  
  * debian/control: Closes: #535098.
    - Add mbr-udeb binary package for use with debian-installer.
    - Add build-dependency on debhelper.
  * debian/compat: Set to level debhelper compat level 7
  * debian/rules: Rewrote to use debhelper.

 -- Santiago Garcia Mantinan <manty@debian.org>  Tue, 05 Apr 2011 22:27:33 +0200

mbr (1.1.10-2) unstable; urgency=low

  * Added patch from upstream, thanks to Loïc for reporting and sending
    the patch. Closes: #509285.

 -- Santiago Garcia Mantinan <manty@debian.org>  Sat, 27 Dec 2008 00:49:19 +0100

mbr (1.1.10-1) unstable; urgency=low

  * New upstream version.
  * Compile with support for large files. Closes: #418297.
  * Add support for lpia architecture. Closes: #454203.
  * Get a 64-bit installer where available. Closes: #382812.

 -- Santiago Garcia Mantinan <manty@debian.org>  Sat, 29 Dec 2007 20:15:27 +0100

mbr (1.1.9-3) unstable; urgency=low

  * Fix FTBFS on amd64 (Thanks Daniel). Closes: #434307.
  * Fix FTBFS on i386 64 bits (Thanks Daniel and Colin). Closes: #439283.
  * Merge Ubuntu's clear the ID flag in test harness output.

 -- Santiago Garcia Mantinan <manty@debian.org>  Mon, 08 Oct 2007 21:25:11 +0200

mbr (1.1.9-2) unstable; urgency=low

  * Fix FTBFS on new kernels. Closes: #392776.
  * Bashisms should be now gone. Closes: #382586.

 -- Santiago Garcia Mantinan <manty@debian.org>  Sat, 25 Nov 2006 20:41:01 +0100

mbr (1.1.9-1) unstable; urgency=low

  * New upstream version.

 -- Santiago Garcia Mantinan <manty@debian.org>  Tue,  3 Oct 2006 19:48:03 +0200

mbr (1.1.8-2) unstable; urgency=low

  * Change section to accomodate to override.

 -- Santiago Garcia Mantinan <manty@debian.org>  Tue, 23 May 2006 00:02:53 +0200

mbr (1.1.8-1) unstable; urgency=low

  * The "I thought nobody used mbr anymore" release.

  [ Santiago Garcia Mantinan ]
  * New upstream version.
  * Bump up Standards-Version.
  * Change description so that it is OS independant.

  [ Goswin von Brederlow ]
  * Port to amd64 (closes: #330190)
    + debian/rules: set CC and LD
    + debian/rules: add -W to CFLAGS for proper warnings
    + debian/control: Build-Depend on libc6-dev-i386 [amd64] and
      (temporary) on ia32-libs [amd64] for dpkg-shlibdeps to work
  * Fix potentialy harmfull warnings
    + harness/args.c:57: warning: suggest parentheses around arithmetic
    + harness/output.c:22: warning: comparison between signed and unsigned
    + harness/process.c:25: warning: implicit declaration of function 'exit'
    + install-mbr.c:617: warning: return type defaults to 'int'
    + install-mbr.c:702: warning: comparison between signed and unsigned
    + install-mbr.c:1357: warning: format '%d' expects type 'int', but
      argument 4 has type 'char *'

