## mbr 1.2.1build1

=== debian/changelog ===
mbr (1.2.1build1) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2021 10:35:26 +0100
