=== debian/control ===
Source: mbr
Section: admin
Priority: optional
Maintainer: Santiago Garcia Mantinan <manty@debian.org>
Standards-Version: 4.2.1
Build-Depends: debhelper(>= 7), bin86, util-linux (>= 2.13) | linux32, xxd
Rules-Requires-Root: no

Package: mbr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Master Boot Record for IBM-PC compatible computers.
 The MBR is used in booting operating systems from the hard disk. It
 runs first, then transfers control to the operating system's loader
 which transfers control to the kernel.

Package: mbr-udeb
Architecture: i386 amd64 lpia
Depends: ${shlibs:Depends}, ${misc:Depends}
Section: debian-installer
Package-Type: udeb
XB-Installer-Menu-Item: 99999
Description: Master Boot Record for IBM-PC compatible computers
