## mbr 1.2.1+nmu1

=== debian/changelog ===
mbr (1.2.1+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 15:55:17 +0800
