## mbr 1.2.2

=== debian/changelog ===
mbr (1.2.2) unstable; urgency=medium

  [ Santiago Garcia Mantinan ]
  * Update debhelper compat version.

  [ Helmut Grohne ]
  * Move install-mbr to /usr. (Closes: #1063570)

 -- Santiago Garcia Mantinan <manty@debian.org>  Mon, 19 Feb 2024 22:20:52 +0100
