=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Santiago Garcia Mantinan <manty@debian.org>
 Standards-Version: 4.2.1
-Build-Depends: debhelper(>= 7), bin86, util-linux (>= 2.13) | linux32, xxd
+Build-Depends: debhelper(>= 13), bin86, util-linux (>= 2.13) | linux32, xxd
 Rules-Requires-Root: no
 
 Package: mbr
