=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 build-indep: build-stamp
 
 build-stamp:
-	./configure --exec-prefix=`pwd`/debian/mbr/ --prefix=`pwd`/debian/mbr/usr --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
+	./configure --prefix=`pwd`/debian/mbr/usr --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
 	$(MAKE) CC="$(CC)" LD="$(LD)" CFLAGS="$(CFLAGS)"
 	touch build
 
@@ -36,12 +36,12 @@
 	dh_testdir
 	dh_testroot
 	dh_prep
-	dh_installdirs -p mbr-udeb sbin
+	dh_installdirs -p mbr-udeb usr/sbin
 	dh_installdocs -p mbr debian/README-1st.Debian NEWS README AUTHORS
 	dh_installchangelogs
 	$(MAKE) install INSTALL_PROGRAM="$(INSTALL_PROGRAM)"
 ifneq ($(filter mbr-udeb,$(binaries)),)
-	cp `pwd`/debian/mbr/sbin/install-mbr `pwd`/debian/mbr-udeb/sbin/
+	cp `pwd`/debian/mbr/usr/sbin/install-mbr `pwd`/debian/mbr-udeb/usr/sbin/
 endif
 
 binary-indep: build
