## mbr 1.2.2build1

=== debian/changelog ===
mbr (1.2.2build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 16 Dec 2025 20:00:47 +0000
